%global         momorel 1

Name:           perl-Unicode-LineBreak
Version:        2014.06
Release:        %{momorel}m%{?dist}
Summary:        UAX #14 Unicode Line Breaking Algorithm
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Unicode-LineBreak/
Source0:        http://www.cpan.org/authors/id/N/NE/NEZUMI/Unicode-LineBreak-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl >= 5.008
BuildRequires:  perl-Encode >= 1.98
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-MIME-Charset >= v1.6.2
BuildRequires:  perl-Test-Simple >= 0.45
Requires:       perl-Encode >= 1.98
Requires:       perl-MIME-Charset >= v1.6.2
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Unicode::LineBreak performs Line Breaking Algorithm described in Unicode
Standard Annex #14 [UAX #14]. East_Asian_Width informative property defined
by Annex #11 [UAX #11] will be concerned to determine breaking positions.

%prep
%setup -q -n Unicode-LineBreak-%{version}

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(Unicode::LineBreak::Constants)/d'

EOF
%define __perl_requires %{_builddir}/Unicode-LineBreak-%{version}/%{name}-req
chmod +x %{name}-req

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ARTISTIC Changes Changes.REL1 GPL Makefile.PL.sombok META.json perl-Unicode-LineBreak.spec README Todo.REL1
%{perl_vendorarch}/auto/Unicode/LineBreak
%{perl_vendorarch}/auto/sombok/extralibs.ld
%{perl_vendorarch}/POD2/JA/Text/LineFold.pod
%{perl_vendorarch}/POD2/JA/Unicode/GCString.pod
%{perl_vendorarch}/POD2/JA/Unicode/LineBreak.pod
%{perl_vendorarch}/Text/LineFold.pm
%{perl_vendorarch}/Unicode/GCString.pm
%{perl_vendorarch}/Unicode/GCString.pod
%{perl_vendorarch}/Unicode/LineBreak.pm
%{perl_vendorarch}/Unicode/LineBreak.pod
%{perl_vendorarch}/Unicode/LineBreak
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2014.06-1m)
- rebuild against perl-5.20.0
- update to 2014.06

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2013.11-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
